package com.heyu.api.data.service.impl.system;
/**
* <p>
* 自定义命令和u3d动作绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemTalkBindU3dDao;
import com.heyu.api.data.entity.system.SystemTalkBindU3dEntity;
import com.heyu.api.data.service.system.SystemTalkBindU3dService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemTalkBindU3dServiceImpl extends ServiceImpl<SystemTalkBindU3dDao, SystemTalkBindU3dEntity> implements SystemTalkBindU3dService {


    @Autowired
	private SystemTalkBindU3dDao systemTalkBindU3dDao;



	@Override
	public SystemTalkBindU3dEntity selectSystemTalkBindU3dById(Long id){
		return systemTalkBindU3dDao.selectSystemTalkBindU3dById(id);
	}



	@Override
	public Long insertSystemTalkBindU3d(SystemTalkBindU3dEntity systemTalkBindU3d){
		return systemTalkBindU3dDao.insertSystemTalkBindU3d(systemTalkBindU3d);
	}



	@Override
	public Long insertOrUpdateSystemTalkBindU3d(SystemTalkBindU3dEntity systemTalkBindU3d){
		return systemTalkBindU3dDao.insertOrUpdateSystemTalkBindU3d(systemTalkBindU3d);
	}



	@Override
	public int updateSystemTalkBindU3dById(SystemTalkBindU3dEntity systemTalkBindU3d){
		return systemTalkBindU3dDao.updateSystemTalkBindU3dById(systemTalkBindU3d);
	}



	@Override
	public int updateCoverSystemTalkBindU3dById(SystemTalkBindU3dEntity systemTalkBindU3d){
		return systemTalkBindU3dDao.updateCoverSystemTalkBindU3dById(systemTalkBindU3d);
	}



	@Override
	public int deleteSystemTalkBindU3dById(Long id){
		return systemTalkBindU3dDao.deleteSystemTalkBindU3dById(id);
	}



}
